# IPlexPlayer (api 1.1 API)
declaration: package: dev.plex.api.player, interface: IPlexPlayer

Package dev.plex.api.player

# Interface IPlexPlayer

public interface IPlexPlayer

## Method Summary

Modifier and Type
Method
Description
`long`
`getCoins()`
`String`
`getId()`
`List<String>`
`getIps()`
`String`
`getLoginMessage()`
`String`
`getName()`
`org.bukkit.permissions.PermissionAttachment`
`getPermissionAttachment()`
`org.bukkit.entity.Player`
`getPlayer()`
`String`
`getPrefix()`
`String`
`getRank()`
`UUID`
`getUuid()`
`boolean`
`isAdminActive()`
`boolean`
`isCommandSpy()`
`boolean`
`isFrozen()`
`boolean`
`isLockedUp()`
`boolean`
`isMuted()`
`boolean`
`isVanished()`
`void`
`setAdminActive(boolean active)`
`void`
`setCoins(long coins)`
`void`
`setCommandSpy(boolean commandSpy)`
`void`
`setFrozen(boolean frozen)`
`void`
`setIps(List<String> ips)`
`void`
`setLockedUp(boolean lockedUp)`
`void`
`setLoginMessage(String message)`
`void`
`setMuted(boolean muted)`
`void`
`setPermissionAttachment(org.bukkit.permissions.PermissionAttachment attachment)`
`void`
`setPlayer(org.bukkit.entity.Player player)`
`void`
`setPrefix(String prefix)`
`void`
`setRank(String rank)`
`void`
`setVanished(boolean vanished)`

## Method Details

### getId

String getId()

### getUuid

UUID getUuid()

### getName

String getName()

### getPlayer

org.bukkit.entity.Player getPlayer()

### setPlayer

void setPlayer(org.bukkit.entity.Player player)

### getLoginMessage

String getLoginMessage()

### setLoginMessage

void setLoginMessage(String message)

### getPrefix

String getPrefix()

### setPrefix

void setPrefix(String prefix)

### isVanished

boolean isVanished()

### setVanished

void setVanished(boolean vanished)

### isCommandSpy

boolean isCommandSpy()

### setCommandSpy

void setCommandSpy(boolean commandSpy)

### isFrozen

boolean isFrozen()

### setFrozen

void setFrozen(boolean frozen)

### isMuted

boolean isMuted()

### setMuted

void setMuted(boolean muted)

### isLockedUp

boolean isLockedUp()

### setLockedUp

void setLockedUp(boolean lockedUp)

### isAdminActive

boolean isAdminActive()

### setAdminActive

void setAdminActive(boolean active)

### getCoins

long getCoins()

### setCoins

void setCoins(long coins)

### getRank

String getRank()

### setRank

void setRank(String rank)

### getIps

List<String> getIps()

### setIps

void setIps(List<String> ips)

### getPermissionAttachment

org.bukkit.permissions.PermissionAttachment getPermissionAttachment()

### setPermissionAttachment

void setPermissionAttachment(org.bukkit.permissions.PermissionAttachment attachment)